import request from '@/utils/request'

// 查询窗口管理列表
export function listSystemWin(query) {
  return request({
    url: '/yfc-admin/inventory/SystemWin/list',
    method: 'get',
    params: query
  })
}

// 查询窗口管理详细
export function getSystemWin(id) {
  return request({
    url: '/yfc-admin/inventory/SystemWin/' + id,
    method: 'get'
  })
}

// 新增窗口管理
export function addSystemWin(data) {
  return request({
    url: '/yfc-admin/inventory/SystemWin',
    method: 'post',
    data: data
  })
}

// 修改窗口管理
export function updateSystemWin(data) {
  return request({
    url: '/yfc-admin/inventory/SystemWin',
    method: 'put',
    data: data
  })
}

// 删除窗口管理
export function delSystemWin(id) {
  return request({
    url: '/yfc-admin/inventory/SystemWin/' + id,
    method: 'delete'
  })
}

// 导出窗口管理
export function exportSystemWin(query) {
  return request({
    url: '/yfc-admin/inventory/SystemWin/export',
    method: 'get',
    params: query
  })
}

//获取uuid
export function uUID() {
  return request({
    url: '/yfc-admin/inventory/SystemWin/getUUID',
    method: 'get',
  })
}
